program compute_factorial
  use factorialModule
  implicit none
  integer::n,r
  write(*,*) 'two non-negative integers please -->'
  read(*,*) n,r
  write(*,*) n,'!=', factorial(n)
  write(*,*) r,'!=', factorial(r)
  if(r<=n) then 
    write(*,*) 'C(',n,',',r,')=',combin(n,r)
  else 
    write(*,*) 'C(',r,',',n,')=',combin(r,n)
  endif
endprogram compute_factorial
